%bcond_without perl_DateTime_Format_Builder_enable_optional_tests

%global real_version   0.83

Name:           perl-DateTime-Format-Builder
Version:        0.8300
Release:    1%{?dist}
Summary:        Create DateTime parser classes and objects        
License:        Artistic-2.0 AND (GPL-1.0-or-later OR Artistic-1.0-Perl)
URL:            https://metacpan.org/release/DateTime-Format-Builder            
Source0:        https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Format-Builder-%{real_version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  sed
BuildRequires:  perl(Carp)
BuildRequires:  perl(DateTime) >= 1.00
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.04
BuildRequires:  perl(Params::Validate) >= 0.72
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_DateTime_Format_Builder_enable_optional_tests}
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(DateTime::Format::HTTP)
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(DateTime::Format::IBeat)
BuildRequires:  perl(Devel::Cycle) >= 1.07
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::Pod) >= 1.00
%endif
Provides:       perl(DateTime::Format::Builder) = %{version}

%{?perl_default_filter}

%description
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.

Builder provides a number of methods, most of which you'll never need, or at
least rarely need. They're provided more for exposing of the module's innards
to any sub-classes, or for when you need to do something slightly beyond what
is expected.

%prep
%setup -q -n DateTime-Format-Builder-%{real_version}

perl -pi -e 's/E<copy>/(C)/' `find lib/ -type f`

sed -i '1s~^#!.*perl~#!%{__perl}~' t/*.t

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md examples/ t/
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::Builder.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Dispatch.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Quick.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Regex.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::Strptime.3*
%{_mandir}/man3/DateTime::Format::Builder::Parser::generic.3*
%{_mandir}/man3/DateTime::Format::Builder::Tutorial.3*

%changelog
* Thu Jul 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8300-1
- initial build
